cURL
curl --request GET \ --url https://neo.api.projectdiscovery.io/api/v1/integration/toolkits/{toolkit}/auth-schemes \ --header 'Authorization: Bearer <token>'
{ "success": true, "data": [ { "fields": [ { "display_name": "<string>", "name": "<string>", "required": true, "type": "<string>", "default": "<string>", "description": "<string>" } ], "mode": "<string>", "name": "<string>" } ], "error": "<string>" }
Get available authentication methods for a toolkit.
Documentation IndexFetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt
Use this file to discover all available pages before exploring further.
JWT authentication token
Toolkit slug (e.g. "jira", "github")
Auth schemes
Show child attributes